Bug 42227 - standard C++ header file <limits> is missing
standard C++ header file <limits> is missing
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-24 21:27 EDT by Wagner T. Correa
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-24 21:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wagner T. Correa 2001-05-24 21:27:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
g++ does not find the <limits> header file.

How reproducible:
Always

Steps to Reproduce:
1. Simply try to include <limits> from a C++ program, and compile it with
g++.


Actual Results:  Compilation aborts with the error message:
limits: No such file or directory

Expected Results:  Since this has been part of the standard for a while
now, I'd expect g++ to have it already.


Additional info:

rpm -q gcc
gcc-2.96-81
Comment 1 Jakub Jelinek 2001-05-25 02:34:57 EDT
libstdc++ up to v2 does not provide this header, you don't have it in
egcs 1.1.x or gcc 2.95.x either.
<limits> is provided by libstdc++ v3 which is the completely rewritten
standard C++ library which will appear in the upcoming gcc 3.0.
<limits> is not the only one missing, you simply need to work around it
or wait for g++ 3.0.

Note You need to log in before you can comment on or make changes to this bug.